daily pastebin goal
52%
SHARE
TWEET

Red Error

Blackout03 May 16th, 2018 111 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Starting Red...
  2. Logging into Discord...
  3. [16/05/2018 16:20] ERROR red <module> 634: Fatal exception, attempting graceful logout
  4. Traceback (most recent call last):
  5.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/connector.py", line 601, in _create_direct_connection
  6.     local_addr=self._local_addr)
  7.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/asyncio/base_events.py", line 804, in create_connection
  8.     sock, protocol_factory, ssl, server_hostname)
  9.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/asyncio/base_events.py", line 830, in _create_connection_transport
  10.     yield from waiter
  11.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/asyncio/sslproto.py", line 505, in data_received
  12.     ssldata, appdata = self._sslpipe.feed_ssldata(data)
  13.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/asyncio/sslproto.py", line 201, in feed_ssldata
  14.     self._sslobj.do_handshake()
  15.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 689, in do_handshake
  16.     self._sslobj.do_handshake()
  17. ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833)
  18.  
  19. The above exception was the direct cause of the following exception:
  20.  
  21. Traceback (most recent call last):
  22.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/connector.py", line 304, in connect
  23.     yield from self._create_connection(req)
  24.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/connector.py", line 578, in _create_connection
  25.     transport, proto = yield from self._create_direct_connection(req)
  26.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/connector.py", line 624, in _create_direct_connection
  27.     (req.host, req.port, exc.strerror)) from exc
  28. aiohttp.errors.ClientOSError: [Errno 1] Can not connect to discordapp.com:443 [[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833)]
  29.  
  30. The above exception was the direct cause of the following exception:
  31.  
  32. Traceback (most recent call last):
  33.   File "red.py", line 614, in <module>
  34.     loop.run_until_complete(main(bot))
  35.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
  36.     return future.result()
  37.   File "red.py", line 599, in main
  38.     bot=not bot.settings.self_bot)
  39.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/discord/client.py", line 416, in login
  40.     yield from getattr(self, '_login_' + str(n))(*args, **kwargs)
  41.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/discord/client.py", line 346, in _login_1
  42.     data = yield from self.http.static_login(token, bot=is_bot)
  43.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/discord/http.py", line 258, in static_login
  44.     data = yield from self.request(Route('GET', '/users/@me'))
  45.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/discord/http.py", line 137, in request
  46.     r = yield from self.session.request(method, url, **kwargs)
  47.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/client.py", line 555, in __iter__
  48.     resp = yield from self._coro
  49.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/client.py", line 198, in _request
  50.     conn = yield from self._connector.connect(req)
  51.   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/aiohttp/connector.py", line 314, in connect
  52.     .format(key, exc.strerror)) from exc
  53. aiohttp.errors.ClientOSError: [Errno 1] Cannot connect to host discordapp.com:443 ssl:True [Can not connect to discordapp.com:443 [[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:833)]]
  54. Task was destroyed but it is pending!
  55. task: <Task pending coro=<Streams.stream_checker() running at /Users/blackout03/Desktop/Bots/Aqua Penguin/Red-DiscordBot/cogs/streams.py:617> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x10f037be8>()]>>
  56. Task was destroyed but it is pending!
  57. task: <Task pending coro=<Audio.queue_scheduler() running at /Users/blackout03/Desktop/Bots/Aqua Penguin/Red-DiscordBot/cogs/audio.py:2406> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x10f037c48>()]>>
  58. Task was destroyed but it is pending!
  59. task: <Task pending coro=<Audio.disconnect_timer() running at /Users/blackout03/Desktop/Bots/Aqua Penguin/Red-DiscordBot/cogs/audio.py:2200> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x10f037768>()]>>
  60. Task was destroyed but it is pending!
  61. task: <Task pending coro=<Audio.reload_monitor() running at /Users/blackout03/Desktop/Bots/Aqua Penguin/Red-DiscordBot/cogs/audio.py:2410> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x10f0375e8>()]>>
  62. Task was destroyed but it is pending!
  63. task: <Task pending coro=<Audio.cache_scheduler() running at /Users/blackout03/Desktop/Bots/Aqua Penguin/Red-DiscordBot/cogs/audio.py:2152> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x10f0376a8>()]>>
  64. Red has been terminated. Exit code: 1
RAW Paste Data
Top